﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MimoX.util
{
    class FicheiroUtil
    {
        private static string ficheiro = @"C:/Users/" + Environment.UserName + "/bkaccesstoken.txt";

        public static string lerConteudoDoFicheiro()
        {
            return lerTokenNoFicheiroDePropriedades();
            //return lerTokenNoFicheiro();
        }

        public static Boolean guardarConteudoNoFicheiro(string conteudo)
        {
            return guardarTokenNoFicheiroDePropriedades(conteudo);
            //return guardarTokenNoFicheiro(conteudo);
        }

        private static string lerTokenNoFicheiro()
        {
            if (File.Exists(ficheiro))
            {
                return Seguranca.Decodificar(File.ReadAllText(ficheiro));
            }

            return null;
        }
        private static string lerTokenNoFicheiroDePropriedades()
        {
            return Properties.Settings.Default.token;
        }

        private static Boolean guardarTokenNoFicheiro(string token)
        {
            File.WriteAllText(ficheiro, Seguranca.Codificar(token));
            return true;
        }

        private static Boolean guardarTokenNoFicheiroDePropriedades(string token)
        {
            Properties.Settings.Default.token = token;
            Properties.Settings.Default.Save();
            return true;
        }
    }
    
}
