﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace MimoX.util
{
    class MensagemUtil
    {
        public static void mostrarMensagemDeErro(string conteudo)
        {
            MessageBox.Show(conteudo, null, MessageBoxButtons.OK, MessageBoxIcon.Error);
        }

        public static void mostrarMensagemDeErro(string titulo, string conteudo)
        {
            MessageBox.Show(conteudo, titulo, MessageBoxButtons.OK, MessageBoxIcon.Error);
        }

        public static void mostrarMensagemDeSucesso(string conteudo)
        {
            MessageBox.Show(conteudo, "", MessageBoxButtons.OK, MessageBoxIcon.Information);
        }

        public static void mostrarMensagemDeSucesso(string titulo, string conteudo)
        {
            MessageBox.Show(conteudo, titulo, MessageBoxButtons.OK, MessageBoxIcon.Information);
        }

        public static void mostrarMensagemDeAlerta(string titulo, string conteudo)
        {
            MessageBox.Show(conteudo, titulo, MessageBoxButtons.OK, MessageBoxIcon.Warning);
        }
    }
}
